Gem::Specification.new do |s|
  s.name        = 'mechanize-random-agent'
  s.version     = File.read("version")
  s.date        = Time.now.getgm.to_s.split.first
  s.summary     = File.read("CHANGELOG").match(/^v[^\n]+\n(([\t ]+[^\n]+\n))*/m)[1].split("\t").join
  s.description = 'A mechanize helper to get new user agents'
  s.authors     = ['poulet_a']
  s.email       = ['poulet_a@epitech.eu']
  s.files       = %w(
lib/mechanize-random-agent.rb
mechanize-random-agent.gemspec
CHANGELOG
LICENSE
version
)
  s.executables = %w(
)
  s.homepage    = 'https://github.com/Nephos/MechanizeRandomAgent'
  s.license     = 'WTFPL'

  s.cert_chain  = ['certs/nephos.pem']
  s.signing_key = File.expand_path('~/.ssh/gem-private_key.pem') if $0 =~ /gem\z/

  s.add_dependency 'nomorebeer', '~> 1.1'
  s.add_dependency 'mechanize', '~> 2.7', '> 2.7'

end
